<?php
/**
* @version $Id: mod_fb_multi_login.php 5866 2006-11-28 01:13:26Z friesengeist $
* @package Joomla
* @copyright Copyright (C) 2005 Open Source Matters. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );



//////////////////////////////////////////////
$mod_name = "mod_fb_multi_login"; 
/////////////////////////////////
global $mosConfig_frontend_login;

if ( $mosConfig_frontend_login != NULL && ($mosConfig_frontend_login === 0 || $mosConfig_frontend_login === '0')) {
	return;
}

// url of current page that user will be returned to after login
if ($query_string = mosGetParam( $_SERVER, 'QUERY_STRING', '' )) {
	$return = 'index.php?' . $query_string;
} else {
	$return = 'index.php';
}
// converts & to &amp; for xtml compliance
$return 				= str_replace( '&', '&amp;', $return );

$registration_enabled 	= $mainframe->getCfg( 'allowUserRegistration' );
$message_login 			= $params->def( 'login_message', 	0 );
$message_logout 		= $params->def( 'logout_message', 	0 );
$login 					= $params->def( 'login', 			$return );
$logout 				= $params->def( 'logout', 			$return );
$name 					= $params->def( 'name', 			1 );
$hidelogout 				= $params->def( 'hidden_logout', 		1 );
$greeting 				= $params->def( 'greeting', 		1 );
$pretext 				= $params->get( 'pretext' );
$posttext 				= $params->get( 'posttext' );

$boxsize = $params->get( 'boxsize','234x60');
$vertical = array("125x125","180x150");
$separator = in_array($boxsize,$vertical) ? "</tr><tr>" : "";
$cols = in_array($boxsize,$vertical) ? "" : "colspan=3"; 

if ( $my->id ) {
	if (!$hidelogout){


// Logout output
// ie HTML when already logged in and trying to logout
	if ( $name ) {
		$name = $my->name;
	} else {
		$name = $my->username;
	}	
	?>
<link rel="stylesheet" type="text/css" href="modules/<?php echo $mod_name; ?>/style.css" />

<div id="loginform">
 <div class="login_<?php echo $boxsize; ?>">
	<form action="<?php echo sefRelToAbs( 'index.php?option=logout' ); ?>" method="post" name="logout">	
	<?php
	if ( $greeting ) {
		echo _HI;
		echo '<b>'. $name .'</b>';
	}
	?>
	<br />
	
	

		<input type="image" style="margin-top:3px;" src="modules/<?php echo $mod_name; ?>/logoutbutton.gif" name="Submit"  value="<?php echo _BUTTON_LOGOUT; ?>" />

 
	<input type="hidden" name="option" value="logout" />
	<input type="hidden" name="op2" value="logout" />
	<input type="hidden" name="lang" value="<?php echo $mosConfig_lang; ?>" />
	<input type="hidden" name="return" value="<?php echo sefRelToAbs( $logout ); ?>" />
	<input type="hidden" name="message" value="<?php echo $message_logout; ?>" />
	</form>
	</div>
 </div>	
	<?php
	}
} else {
// Login output
// ie HTML when not logged in and trying to login
	// used for spoof hardening
	$validate = josSpoofValue(1);
	?>
	
<link rel="stylesheet" type="text/css" href="modules/<?php echo $mod_name; ?>/style.css" />
	<div id="loginform1">
	
	<form action="<?php echo sefRelToAbs( 'index.php' ); ?>" method="post" name="login" class="loginform" >
	<?php
	echo $pretext;
	?>
	
	<table width="100%" border="0" cellspacing="0" cellpadding="0" align="right" class="login_<?php echo $boxsize; ?>">
	<tr>
		<td>			
			<?php echo _USERNAME; ?><br /><input name="username" id="fb_username" type="text" alt="username" size="10" /><br />
    </td>
	<?php echo $separator; ?>
		<td>
			<?php echo _PASSWORD; ?><br /><input type="password" id="fb_password" name="passwd" size="10" alt="password" /><br />
		</td>
	<?php echo $separator; ?>	
		<td>
			<input type="image" style="margin-top:3px;" src="modules/<?php echo $mod_name; ?>/loginbutton.gif" name="Submit"  value="<?php echo _BUTTON_LOGIN; ?>" />
		</td>
	</tr>
	<?php
	if ( $registration_enabled ) {
		?>
		<tr>
			<td "<?php echo $cols; ?>"><a href="<?php echo sefRelToAbs( 'index.php?option=com_registration&amp;task=lostPassword' ); ?>"><?php echo _LOST_PASSWORD; ?></a>
				<br /><?php echo _NO_ACCOUNT; ?>
				<a href="<?php echo sefRelToAbs( 'index.php?option=com_registration&amp;task=register' ); ?>">
					<?php echo _CREATE_ACCOUNT; ?></a>
			</td>
		</tr>
		<?php
	}
	?>
	</table>
	<?php
	echo $posttext;
	?>

	<input type="hidden" name="option" value="login"  />
	<input type="hidden" name="op2" value="login" />
	<input type="hidden" name="lang" value="<?php echo $mosConfig_lang; ?>" />
	<input type="hidden" name="return" value="<?php echo sefRelToAbs( $login ); ?>" />
	<input type="hidden" name="message" value="<?php echo $message_login; ?>" />
	<input type="hidden" name="force_session" value="1" />
	<input type="hidden" name="<?php echo $validate; ?>" value="1" />
	</form>
	</div>	
	<?php
}
?>